rio_is_switch
Prev | Enumeration and Discovery | Next

## Name

rio_is_switch — Tests if a RIO device has switch capabilities

## Synopsis

`int rio_is_switch (` | struct rio_dev * | rdev`)`;

## Arguments

`rdev`

  RIO device

## Description

Gets the RIO device Processing Element Features register contents and tests for switch capabilities. Returns 1 if the device is a switch or 0 if it is not a switch. The RIO device struct is freed.

Prev | Up | Next
rio_release_dev | Home | rio_route_set_ops